%define  major           26
%define  libname         %mklibname %{name} %{major}
%define  develname       %mklibname %{name} -d

Name:    cpl
Version: 7.2.2
Release: %mkrel 2
Summary: ESO library for automated astronomical data-reduction tasks

Group:   Sciences/Astronomy
License: GPLv2+
URL:     https://www.eso.org/sci/software/cpl/
Source:  ftp://ftp.eso.org/pub/dfs/pipelines/libraries/cpl/%{name}-%{version}.tar.gz
Patch0:  cpl-i386.patch

BuildRequires: gcc
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(wcslib)
BuildRequires: fftw-devel

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries
that provide a comprehensive, efficient and robust software toolkit.
It forms a basis for the creation of automated astronomical data-reduction
tasks (known as "pipelines") for ESO (European Southern Observatory)
instruments. The CPL was developed to standardize the way
VLT (Very Large Telescope) instrument pipelines are built,
to shorten their development cycle and to ease their maintenance.

%package -n %{libname}
Summary: ESO library for automated astronomical data-reduction tasks
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries
that provide a comprehensive, efficient and robust software toolkit.
It forms a basis for the creation of automated astronomical data-reduction
tasks (known as "pipelines") for ESO (European Southern Observatory)
instruments. The CPL was developed to standardize the way
VLT (Very Large Telescope) instrument pipelines are built,
to shorten their development cycle and to ease their maintenance.

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Sciences/Astronomy
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name}
application.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS BUGS COPYING NEWS
%{_libdir}/libcpl*.so.%{major}{,.*}
%{_libdir}/libcext*.so.*

%files -n %{develname}
%doc README
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/cext.pc


%changelog
* Sun Dec 04 2022 eatdirt <eatdirt> 7.2.2-2.mga9
+ Revision: 1917815
- Rebuild for new cfitsio

* Tue Sep 27 2022 neoclust <neoclust> 7.2.2-1.mga9
+ Revision: 1892725
- New version 7.2.2

* Sat Apr 02 2022 umeabot <umeabot> 7.1.2-2.mga9
+ Revision: 1840961
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 eatdirt <eatdirt> 7.1.2-1.mga8
+ Revision: 1623144
- Upgrade to version 7.1.2
+ daviddavid <daviddavid>
- rebuild for new cfitsio 3.480

* Sat Jun 27 2020 joequant <joequant> 7.1.1-4.mga8
+ Revision: 1599589
- rebuild for wcs

* Fri Mar 27 2020 daviddavid <daviddavid> 7.1.1-3.mga8
+ Revision: 1560905
- rebuild for new cfitsio 3.470

* Sat Feb 15 2020 umeabot <umeabot> 7.1.1-2.mga8
+ Revision: 1526029
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 19 2019 daviddavid <daviddavid> 7.1.1-1.mga7
+ Revision: 1393363
- new version: 7.1.1

* Wed Apr 17 2019 eatdirt <eatdirt> 7.1-2.mga7
+ Revision: 1392031
- Rebuild for new wcslib

* Sat Jan 05 2019 daviddavid <daviddavid> 7.1-1.mga7
+ Revision: 1349356
- new version: 7.1
- patch to fix problems in i386 with SSE2 enabled

* Sun Sep 23 2018 umeabot <umeabot> 7.0-4.mga7
+ Revision: 1296845
- Mageia 7 Mass Rebuild

* Sun May 13 2018 daviddavid <daviddavid> 7.0-3.mga7
+ Revision: 1228816
- rebuild for new cfitsio 3.450

* Tue Nov 22 2016 eatdirt <eatdirt> 7.0-2.mga6
+ Revision: 1068807
- Rebuild for new cfitsio

* Wed Mar 09 2016 eatdirt <eatdirt> 7.0-1.mga6
+ Revision: 988663
- Upgrade to version 7.0

* Sun Jan 17 2016 daviddavid <daviddavid> 6.4.2-5.mga6
+ Revision: 924906
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 6.4.2-4.mga5
+ Revision: 749028
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 6.4.2-3.mga5
+ Revision: 693691
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 6.4.2-2.mga5
+ Revision: 678566
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 6.4.2-1.mga5
+ Revision: 642640
- Upgrade to version 6.4.2

* Thu Feb 27 2014 eatdirt <eatdirt> 6.3.1-3.mga5
+ Revision: 597703
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 6.3.1-2.mga4
+ Revision: 531468
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 joequant <joequant> 6.3.1-1.mga4
+ Revision: 463529
- update to 6.3.1

* Mon Apr 01 2013 joequant <joequant> 6.2-1.mga4
+ Revision: 406966
- imported package cpl

